> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Skill

> Create a new skill for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/skills
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/skills:
    post:
      tags:
        - Orgs Skills
      summary: Create Skill
      description: Create a new skill for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
      requestBody:
        description: The skill information.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSkillSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateSkillSchema'
      responses:
        '200':
          description: The created skill.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillSchema'
components:
  schemas:
    CreateSkillSchema:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 128
          description: The name of the skill
        instructions:
          type: string
          minLength: 1
          maxLength: 51200
          description: The instruction pack the AI follows when the skill is on
      required:
        - name
        - instructions
      description: Schema for creating a new skill
    SkillSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The name of the skill
        instructions:
          type: string
          description: The instruction pack the AI follows when the skill is on
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - instructions
        - created_at
        - updated_at
      description: Schema for a skill
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````